// gnome.xonotic.in.ua

models/mapobjects/timlamp/timlamp
{
	cull disable
	surfaceparm alphashadow
	{
		map models/mapobjects/timlamp/timlamp.tga
		alphafunc ge128
		depthwrite
		rgbgen vertex
	}
}

textures/ad_content/1x1
{
	qer_editorimage textures/ad_content/ad1x1.tga
	nopicmip
	{
		map textures/ad_content/ad1x1.tga
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
	}
	{
		map $lightmap
		tcgen environment
		tcmod scale .5 .5
		rgbgen wave sin .15 0 0 0
		blendfunc add
	}
}

textures/ad_content/2x1
{
	qer_editorimage textures/ad_content/ad2x1.tga
	nopicmip
	{
		map textures/ad_content/ad2x1.tga
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
	}
	{
		map $lightmap
		tcgen environment
		tcmod scale .5 .5
		rgbgen wave sin .15 0 0 0
		blendfunc add
	}
}

textures/ad_content/4x1
{
	qer_editorimage textures/ad_content/ad4x1.tga
	nopicmip
	{
		map textures/ad_content/ad4x1.tga
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
	}
	{
		map $lightmap
		tcgen environment
		tcmod scale .5 .5
		rgbgen wave sin .15 0 0 0
		blendfunc add
	}
}

textures/base_floor/clangdark
{
	surfaceparm metalsteps
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_floor/clangdark.tga
		blendfunc filter
		rgbgen identity
	}
}

textures/base_floor/clang_floor3blava
{
	surfaceparm nolightmap
	{
		map textures/liquids/protolava2.tga
		tcmod scale .2 .2
		tcmod scroll .04 .03
		tcmod turb 0 .1 0 .01
		blendfunc gl_one gl_zero
		rgbgen identity
	}
	{
		map textures/base_floor/clang_floor3blava.tga
		blendfunc blend
	}
}

textures/common/caulk
{
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nomarks
}

textures/common/clip
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm playerclip
}

textures/common/clusterportal
{
	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm clusterportal
}

textures/common/hint
{
	qer_nocarve
	qer_trans 0.30
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm structural
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm hint
}

textures/common/nodraw
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
}

textures/common/nodrawnonsolid
{
	qer_editorimage textures/common/nodrawnonsolid.tga
	qer_trans 0.40
	surfaceparm nonsolid
	surfaceparm nodraw
	surfaceparm trans
	surfaceparm nomarks
}

textures/common/trigger
{
	qer_trans 0.50
	qer_nocarve
	surfaceparm nodraw
}

textures/liquids/lavahellflat_400
{
	qer_editorimage textures/liquids/lavahell.tga
	q3map_globaltexture
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm lava
	surfaceparm nolightmap
	q3map_surfacelight 400
	tesssize 128
	cull disable
	sort 8
	{
		map textures/liquids/lavahell.tga
		tcmod turb 0 .2 0 .1
	}
}

textures/ql/telex
{
	qer_editorimage textures/ql/telex.tga
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
	cull none
	nopicmip
	polygonoffset
	sort 6
	{
		map textures/ql/telex.tga
		blendfunc add
	}
}

textures/se_gothic/brick_03
{
	qer_editorimage textures/se_gothic/brick_03.tga
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/se_gothic/brick_03.tga
		blendfunc filter
	}
}

textures/se_gothic/brick_03_sectional
{
	qer_editorimage textures/se_gothic/brick_03_sectional.tga
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/se_gothic/brick_03_sectional.tga
		blendfunc filter
	}
}

textures/se_gothic/brick_03_talltrimmed
{
	qer_editorimage textures/se_gothic/brick_03_talltrimmed.tga
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/se_gothic/brick_03_talltrimmed.tga
		blendfunc filter
	}
}

textures/se_gothic/cobblestone_02
{
	qer_editorimage textures/se_gothic/cobblestone_02.tga
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/se_gothic/cobblestone_02.tga
		tcmod scale 2 2
		blendfunc filter
	}
}

textures/se_gothic/cobblestone_03
{
	qer_editorimage textures/se_gothic/cobblestone_03.tga
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/se_gothic/cobblestone_03.tga
		tcmod scale 2 2
		blendfunc filter
	}
}

textures/se_gothic/grate_01
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm metalsteps
	surfaceparm alphashadow
	surfaceparm playerclip
	surfaceparm nomarks
	cull none
	nopicmip
	{
		map textures/se_gothic/grate_01.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
		tcgen lightmap
		depthfunc equal
	}
}

textures/se_gothic/light_01_vented
{
	qer_editorimage textures/se_gothic/light_01_vented.tga
	q3map_lightimage textures/se_gothic/light_01_vented.blend.tga
	surfaceparm nomarks
	q3map_surfacelight 400
	{
		map $lightmap
		rgbgen identity
		tcgen lightmap
	}
	{
		map textures/se_gothic/light_01_vented.tga
		blendfunc filter
		rgbgen identity
	}
	{
		map textures/se_gothic/light_01_vented.blend.tga
		blendfunc add
		rgbgen identity
	}
}

textures/se_gothic/light_02
{
	qer_editorimage textures/se_gothic/light_02.tga
	q3map_lightimage textures/se_gothic/light_02.blend.tga
	surfaceparm nomarks
	q3map_surfacelight 700
	{
		map $lightmap
		rgbgen identity
		tcgen lightmap
	}
	{
		map textures/se_gothic/light_02.tga
		blendfunc filter
		rgbgen identity
	}
	{
		map textures/se_gothic/light_02.blend.tga
		blendfunc add
		rgbgen identity
	}
}

textures/se_gothic/light_03
{
	qer_editorimage textures/se_gothic/light_03.tga
	q3map_lightimage textures/se_gothic/light_03.blend.tga
	surfaceparm nomarks
	q3map_surfacelight 700
	{
		map $lightmap
		rgbgen identity
		tcgen lightmap
	}
	{
		map textures/se_gothic/light_03.tga
		blendfunc filter
		rgbgen identity
	}
	{
		map textures/se_gothic/light_03.blend.tga
		blendfunc add
		rgbgen identity
	}
}

textures/se_gothic/metal_01
{
	qer_editorimage textures/se_gothic/metal_01.tga
	surfaceparm metalsteps
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/se_gothic/metal_01.tga
		blendfunc filter
	}
}

textures/se_gothic/metalsupport_01
{
	qer_editorimage textures/se_gothic/metalsupport_01.tga
	surfaceparm metalsteps
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/se_gothic/metalsupport_01.tga
		blendfunc filter
	}
}

textures/se_gothic/metalsupport_02
{
	qer_editorimage textures/se_gothic/metalsupport_02.tga
	surfaceparm metalsteps
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/se_gothic/metalsupport_02.tga
		blendfunc filter
	}
}

textures/se_gothic/metalsupport_03
{
	qer_editorimage textures/se_gothic/metalsupport_03.tga
	surfaceparm metalsteps
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/se_gothic/metalsupport_03.tga
		blendfunc filter
	}
}

textures/se_gothic/plate_01
{
	qer_editorimage textures/se_gothic/plate_01.tga
	surfaceparm metalsteps
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/se_gothic/plate_01.tga
		blendfunc filter
	}
}

textures/se_gothic/stepriser2_8
{
	qer_editorimage textures/se_gothic/stepriser2_8.tga
	surfaceparm metalsteps
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/se_gothic/stepriser2_8.tga
		blendfunc filter
	}
}

textures/se_gothic/steptread2_16
{
	qer_editorimage textures/se_gothic/steptread2_16.tga
	surfaceparm metalsteps
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/se_gothic/steptread2_16.tga
		blendfunc filter
	}
}

textures/se_gothic/steptread3_16
{
	qer_editorimage textures/se_gothic/steptread3_16.tga
	surfaceparm metalsteps
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/se_gothic/steptread3_16.tga
		blendfunc filter
	}
}

textures/se_gothic/tile_04
{
	qer_editorimage textures/se_gothic/tile_04.tga
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/se_gothic/tile_04.tga
		blendfunc filter
	}
}

textures/se_gothic/tile_04_floordesign
{
	qer_editorimage textures/se_gothic/tile_04_floordesign.tga
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/se_gothic/tile_04_floordesign.tga
		blendfunc filter
	}
}

textures/se_gothic/tile_05
{
	qer_editorimage textures/se_gothic/tile_05.tga
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/se_gothic/tile_05.tga
		blendfunc filter
	}
}

textures/se_gothic/wood_01
{
	qer_editorimage textures/se_gothic/wood_01.tga
	surfaceparm woodsteps
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/se_gothic/wood_01.tga
		blendfunc filter
	}
}

textures/se_gothic/wood_03
{
	qer_editorimage textures/se_gothic/wood_03.tga
	surfaceparm woodsteps
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/se_gothic/wood_03.tga
		blendfunc filter
	}
}

textures/sfx/flame1side
{
	qer_editorimage textures/sfx/flame1side.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	nopicmip
	{
		animmap 10 textures/sfx/flame1.tga textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga
		blendfunc add
		rgbgen wave inversesawtooth 0 1 0 10
	}
	{
		animmap 10 textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga textures/sfx/flame1.tga
		blendfunc add
		rgbgen wave sawtooth 0 1 0 10
	}
	{
		map textures/sfx/flameball.tga
		blendfunc add
		rgbgen wave sin .6 .2 0 .6
	}
}

textures/sfx/mkc_fog_ctfblue
{
	qer_editorimage textures/sfx/fog_blue.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm fog
	surfaceparm nodrop
	surfaceparm nolightmap
	q3map_globaltexture
	fogparms ( 0.23 0.2 0.26 ) 320
	{
		map textures/liquids/kc_fogcloud3.tga
		blendfunc filter
		tcmod scale -.05 -.05
		tcmod scroll .01 -.01
		rgbgen identity
	}
	{
		map textures/liquids/kc_fogcloud3.tga
		blendfunc filter
		tcmod scale .05 .05
		tcmod scroll .01 -.01
		rgbgen identity
	}
}

textures/sfx/portal_new_nonsolid
{
	qer_editorimage textures/sfx/portaledge
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	novlcollapse
	nopicmip
	novlcollapse
	{
		map textures/sfx/portalnoise.tga
		blendfunc add
		rgbgen identitylighting
		tcmod scale 1.2 1.2
		tcmod scroll .01 -.11
		rgbgen wave sin 0.95 0.07 0 .85
	}
	{
		map textures/sfx/portal_sfx2.tga
		blendfunc filter
		tcmod scale 1 0.9
		tcmod stretch sin 2.65 0.2 0 0.2
		tcmod turb 1 0.1 0 0.1
		tcmod rotate 360
	}
	{
		map textures/sfx/portal_sfx2.tga
		blendfunc filter
		tcmod scale 1 1
		tcmod stretch sin 2.5 0.1 0 0.2
		tcmod turb 1 -0.1 0 0.1
		tcmod rotate 355
	}
	{
		map textures/sfx/portaledge.tga
		blendfunc filter
		tcmod scale 0.5 0.5
		tcmod scroll -.01 -0.11
	}
}

textures/skies/devilish
{
	qer_editorimage textures/skies/env/devilish_rt.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	q3map_surfacelight 200
	q3map_lightimage textures/skies/meth_clouds_blue.tga
	skyparms textures/skies/env/devilish 512 -
	{
		map textures/skies/meth_clouds3.tga
		blendfunc filter
		tcmod scale 3 2
		tcmod scroll 0.02 0.04
	}
	{
		map textures/skies/devilish_dimclouds.tga
		blendfunc add
		tcmod scale 5 5
		tcmod scroll 0.02 0.02
	}
}

textures/tp_gothic/tp_jumppad_fx
{
	qer_editorimage textures/tp_gothic/tp_jumppad_fx.tga
	q3map_surfacelight 300
	nopicmip
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nonsolid
	cull none
	{
		clampmap textures/tp_gothic/tp_jumppad_fx.tga
		blendfunc add
		tcmod rotate 100
	}
}

